import * as i2$1 from '@angular/common';
import { NgFor, CommonModule, JsonPipe } from '@angular/common';
import * as i0 from '@angular/core';
import { Component } from '@angular/core';
import * as d3 from 'd3';
import * as _ from 'lodash';
import moment from 'moment';
import * as i1 from '@angular/forms';
import { Validators, ReactiveFormsModule } from '@angular/forms';
import { loremIpsum } from 'lorem-ipsum';
import moment$1 from 'moment-timezone';
import * as i2 from '@angular/router';
import moment$2 from 'moment/moment';
import * as i1$1 from '@angular/common/http';
import { HttpClientModule } from '@angular/common/http';

class ContentComponent {
    largeText;
    employees = [];
    constructor() { }
    ngOnInit() {
        this.generateEmployeeData();
        this.generateBarChart();
        this.generateLineChart();
        this.generatePieChart();
        this.generateScatterPlot();
        this.generateAreaChart();
        this.generateBubbleChart();
        this.generateDonutChart();
        this.generateHeatMap();
        this.generateRadarChart();
        this.generateTreeMap();
    }
    generateBarChart() {
        const data = [30, 86, 168, 281, 303, 365];
        const width = 500;
        const height = 500;
        const svg = d3.select('#barChart')
            .attr('width', width)
            .attr('height', height);
        svg.selectAll('rect')
            .data(data)
            .enter()
            .append('rect')
            .attr('x', (d, i) => i * 70)
            .attr('y', (d) => height - d)
            .attr('width', 65)
            .attr('height', (d) => d)
            .attr('fill', 'steelblue');
    }
    generateLineChart() {
        const data = [30, 86, 168, 281, 303, 365];
        const width = 500;
        const height = 500;
        const svg = d3.select('#lineChart')
            .attr('width', width)
            .attr('height', height);
        const line = d3.line()
            .x((d, i) => i * 70)
            .y((d) => height - d);
        svg.append('path')
            .datum(data)
            .attr('fill', 'none')
            .attr('stroke', 'steelblue')
            .attr('stroke-width', 1.5)
            .attr('d', line);
    }
    generatePieChart() {
        const data = [30, 86, 168, 281, 303, 365];
        const width = 500;
        const height = 500;
        const radius = Math.min(width, height) / 2;
        const svg = d3.select('#pieChart')
            .attr('width', width)
            .attr('height', height)
            .append('g')
            .attr('transform', `translate(${width / 2},${height / 2})`);
        const pie = d3.pie()
            .value((d) => d);
        const arc = d3.arc()
            .innerRadius(0)
            .outerRadius(radius);
        const arcs = svg.selectAll('arc')
            .data(pie(data))
            .enter()
            .append('g')
            .attr('class', 'arc');
        arcs.append('path')
            .attr('d', arc)
            .attr('fill', (d, i) => d3.schemeCategory10[i]);
    }
    generateScatterPlot() {
        const data = [30, 86, 168, 281, 303, 365];
        const width = 500;
        const height = 500;
        const svg = d3.select('#scatterPlot')
            .attr('width', width)
            .attr('height', height);
        svg.selectAll('circle')
            .data(data)
            .enter()
            .append('circle')
            .attr('cx', (d, i) => i * 70)
            .attr('cy', (d) => height - d)
            .attr('r', 5)
            .attr('fill', 'steelblue');
    }
    generateAreaChart() {
        const data = [30, 86, 168, 281, 303, 365];
        const width = 500;
        const height = 500;
        const svg = d3.select('#areaChart')
            .attr('width', width)
            .attr('height', height);
        const area = d3.area()
            .x((d, i) => i * 70)
            .y0(height)
            .y1((d) => height - d);
        svg.append('path')
            .datum(data)
            .attr('fill', 'steelblue')
            .attr('d', area);
    }
    generateBubbleChart() {
        const data = [30, 86, 168, 281, 303, 365];
        const width = 500;
        const height = 500;
        const svg = d3.select('#bubbleChart')
            .attr('width', width)
            .attr('height', height);
        svg.selectAll('circle')
            .data(data)
            .enter()
            .append('circle')
            .attr('cx', (d, i) => i * 70)
            .attr('cy', (d) => height - d)
            .attr('r', (d) => d / 10)
            .attr('fill', 'steelblue');
    }
    generateDonutChart() {
        const data = [30, 86, 168, 281, 303, 365];
        const width = 500;
        const height = 500;
        const radius = Math.min(width, height) / 2;
        const svg = d3.select('#donutChart')
            .attr('width', width)
            .attr('height', height)
            .append('g')
            .attr('transform', `translate(${width / 2},${height / 2})`);
        const pie = d3.pie()
            .value((d) => d);
        const arc = d3.arc()
            .innerRadius(radius / 2)
            .outerRadius(radius);
        const arcs = svg.selectAll('arc')
            .data(pie(data))
            .enter()
            .append('g')
            .attr('class', 'arc');
        arcs.append('path')
            .attr('d', arc)
            .attr('fill', (d, i) => d3.schemeCategory10[i]);
    }
    generateHeatMap() {
        const data = [30, 86, 168, 281, 303, 365];
        const width = 500;
        const height = 500;
        const svg = d3.select('#heatMap')
            .attr('width', width)
            .attr('height', height);
        svg.selectAll('rect')
            .data(data)
            .enter()
            .append('rect')
            .attr('x', (d, i) => i * 70)
            .attr('y', (d) => height - d)
            .attr('width', 65)
            .attr('height', (d) => d)
            .attr('fill', 'steelblue');
    }
    generateRadarChart() {
        const data = [30, 86, 168, 281, 303, 365];
        const width = 500;
        const height = 500;
        const svg = d3.select('#radarChart')
            .attr('width', width)
            .attr('height', height);
        const radarLine = d3.line()
            .x((d, i) => i * 70)
            .y((d) => height - d);
        svg.append('path')
            .datum(data)
            .attr('fill', 'none')
            .attr('stroke', 'steelblue')
            .attr('stroke-width', 1.5)
            .attr('d', radarLine);
    }
    generateTreeMap() {
        const data = [30, 86, 168, 281, 303, 365];
        const width = 500;
        const height = 500;
        const svg = d3.select('#treeMap')
            .attr('width', width)
            .attr('height', height);
        const treemap = d3.treemap()
            .size([width, height])
            .padding(1);
        const root = d3.hierarchy({ values: data })
            .sum((d) => d);
        treemap(root);
        const nodes = svg.selectAll('g')
            .data(root.leaves())
            .enter()
            .append('g')
            .attr('transform', (d) => `translate(${d.x0},${d.y0})`);
        nodes.append('rect')
            .attr('width', (d) => d.x1 - d.x0)
            .attr('height', (d) => d.y1 - d.y0)
            .attr('fill', 'steelblue');
        nodes.append('text')
            .attr('dx', 4)
            .attr('dy', 14)
            .text((d) => d.data);
    }
    generateEmployeeData() {
        for (let i = 0; i < 50; i++) {
            this.employees.push({
                name: `Employee ${i + 1}`,
                empId: _.uniqueId('EMP'),
                department: _.sample(['HR', 'Engineering', 'Sales', 'Marketing']),
                joiningDate: moment().subtract(_.random(1, 10), 'years').format('YYYY-MM-DD'),
                salary: _.random(30000, 120000),
                email: `employee${i + 1}@company.com`,
                phone: `123-456-789${i}`,
                address: `Address ${i + 1}`,
                city: _.sample(['New York', 'Los Angeles', 'Chicago', 'Houston']),
                state: _.sample(['NY', 'CA', 'IL', 'TX']),
                zip: `1000${i}`
            });
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ContentComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: ContentComponent, isStandalone: true, selector: "app-content", ngImport: i0, template: "<div>content component</div>\r\n<svg id=\"barChart\"></svg>\r\n<svg id=\"lineChart\"></svg>\r\n<svg id=\"pieChart\"></svg>\r\n<svg id=\"scatterPlot\"></svg>\r\n<svg id=\"areaChart\"></svg>\r\n<svg id=\"bubbleChart\"></svg>\r\n<svg id=\"donutChart\"></svg>\r\n<svg id=\"heatMap\"></svg>\r\n<svg id=\"radarChart\"></svg>\r\n<svg id=\"treeMap\"></svg>\r\n\r\n<table class=\"table table-striped\">\r\n  <thead>\r\n    <tr>\r\n      <th>Name</th>\r\n      <th>Emp ID</th>\r\n      <th>Department</th>\r\n      <th>Joining Date</th>\r\n      <th>Salary</th>\r\n      <th>Email</th>\r\n      <th>Phone</th>\r\n      <th>Address</th>\r\n      <th>City</th>\r\n      <th>State</th>\r\n      <th>Zip</th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr *ngFor=\"let employee of employees\">\r\n      <td>{{ employee.name }}</td>\r\n      <td>{{ employee.empId }}</td>\r\n      <td>{{ employee.department }}</td>\r\n      <td>{{ employee.joiningDate }}</td>\r\n      <td>{{ employee.salary }}</td>\r\n      <td>{{ employee.email }}</td>\r\n      <td>{{ employee.phone }}</td>\r\n      <td>{{ employee.address }}</td>\r\n      <td>{{ employee.city }}</td>\r\n      <td>{{ employee.state }}</td>\r\n      <td>{{ employee.zip }}</td>\r\n    </tr>\r\n  </tbody>\r\n</table>", styles: [""], dependencies: [{ kind: "directive", type: NgFor, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ContentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-content', standalone: true, imports: [NgFor], template: "<div>content component</div>\r\n<svg id=\"barChart\"></svg>\r\n<svg id=\"lineChart\"></svg>\r\n<svg id=\"pieChart\"></svg>\r\n<svg id=\"scatterPlot\"></svg>\r\n<svg id=\"areaChart\"></svg>\r\n<svg id=\"bubbleChart\"></svg>\r\n<svg id=\"donutChart\"></svg>\r\n<svg id=\"heatMap\"></svg>\r\n<svg id=\"radarChart\"></svg>\r\n<svg id=\"treeMap\"></svg>\r\n\r\n<table class=\"table table-striped\">\r\n  <thead>\r\n    <tr>\r\n      <th>Name</th>\r\n      <th>Emp ID</th>\r\n      <th>Department</th>\r\n      <th>Joining Date</th>\r\n      <th>Salary</th>\r\n      <th>Email</th>\r\n      <th>Phone</th>\r\n      <th>Address</th>\r\n      <th>City</th>\r\n      <th>State</th>\r\n      <th>Zip</th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr *ngFor=\"let employee of employees\">\r\n      <td>{{ employee.name }}</td>\r\n      <td>{{ employee.empId }}</td>\r\n      <td>{{ employee.department }}</td>\r\n      <td>{{ employee.joiningDate }}</td>\r\n      <td>{{ employee.salary }}</td>\r\n      <td>{{ employee.email }}</td>\r\n      <td>{{ employee.phone }}</td>\r\n      <td>{{ employee.address }}</td>\r\n      <td>{{ employee.city }}</td>\r\n      <td>{{ employee.state }}</td>\r\n      <td>{{ employee.zip }}</td>\r\n    </tr>\r\n  </tbody>\r\n</table>" }]
        }], ctorParameters: () => [] });

class FooterComponent {
    largeText;
    constructor() {
    }
    ngOnInit() {
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: FooterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: FooterComponent, isStandalone: true, selector: "app-footer", ngImport: i0, template: "<p>footer works!</p>\r\n", styles: [""] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: FooterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-footer', standalone: true, imports: [], template: "<p>footer works!</p>\r\n" }]
        }], ctorParameters: () => [] });

class HeaderComponent {
    largeText;
    constructor() {
    }
    ngOnInit() {
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: HeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: HeaderComponent, isStandalone: true, selector: "app-header", ngImport: i0, template: "<div>\r\n    <h1>Lorem Ipsum Content</h1>\r\n    <p>{{ largeText }}</p>\r\n  </div>", styles: [""] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: HeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-header', standalone: true, imports: [], template: "<div>\r\n    <h1>Lorem Ipsum Content</h1>\r\n    <p>{{ largeText }}</p>\r\n  </div>" }]
        }], ctorParameters: () => [] });

class EmployeeformComponent {
    fb;
    employeeForm;
    constructor(fb) {
        this.fb = fb;
    }
    ngOnInit() {
        this.employeeForm = this.fb.group({
            employeeId: ['', Validators.required],
            firstName: ['', Validators.required],
            lastName: ['', Validators.required],
            dateOfBirth: ['', Validators.required],
            gender: ['', Validators.required],
            maritalStatus: ['', Validators.required],
            address: ['', Validators.required],
            phoneNumber: ['', Validators.required],
            emailAddress: ['', [Validators.required, Validators.email]],
            emergencyContactName: ['', Validators.required],
            emergencyContactNumber: ['', Validators.required],
            department: ['', Validators.required],
            jobTitle: ['', Validators.required],
            dateOfHire: ['', Validators.required],
            employeeStatus: ['', Validators.required],
            salary: ['', Validators.required],
            benefits: ['', Validators.required],
            performanceReviewDates: ['', Validators.required],
            trainingCompleted: ['', Validators.required],
            managerName: ['', Validators.required]
        });
    }
    onSubmit() {
        if (this.employeeForm.valid) {
            console.log('Form Submitted', this.employeeForm.value);
        }
    }
    onEdit(employee) {
        this.employeeForm.patchValue(employee);
    }
    onView(employee) {
        console.log('View Employee', employee);
    }
    onUpdate() {
        if (this.employeeForm.valid) {
            console.log('Form Updated', this.employeeForm.value);
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EmployeeformComponent, deps: [{ token: i1.FormBuilder }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: EmployeeformComponent, isStandalone: true, selector: "app-employeeform", ngImport: i0, template: "<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\" class=\"container mt-4\">\r\n  <div class=\"form-group\">\r\n    <label for=\"employeeId\">Employee ID</label>\r\n    <input id=\"employeeId\" formControlName=\"employeeId\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"firstName\">First Name</label>\r\n    <input id=\"firstName\" formControlName=\"firstName\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"lastName\">Last Name</label>\r\n    <input id=\"lastName\" formControlName=\"lastName\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"dateOfBirth\">Date of Birth</label>\r\n    <input id=\"dateOfBirth\" formControlName=\"dateOfBirth\" type=\"date\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"gender\">Gender</label>\r\n    <input id=\"gender\" formControlName=\"gender\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"maritalStatus\">Marital Status</label>\r\n    <input id=\"maritalStatus\" formControlName=\"maritalStatus\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"address\">Address</label>\r\n    <input id=\"address\" formControlName=\"address\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"phoneNumber\">Phone Number</label>\r\n    <input id=\"phoneNumber\" formControlName=\"phoneNumber\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"emailAddress\">Email Address</label>\r\n    <input id=\"emailAddress\" formControlName=\"emailAddress\" type=\"email\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"emergencyContactName\">Emergency Contact Name</label>\r\n    <input id=\"emergencyContactName\" formControlName=\"emergencyContactName\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"emergencyContactNumber\">Emergency Contact Number</label>\r\n    <input id=\"emergencyContactNumber\" formControlName=\"emergencyContactNumber\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"department\">Department</label>\r\n    <input id=\"department\" formControlName=\"department\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"jobTitle\">Job Title</label>\r\n    <input id=\"jobTitle\" formControlName=\"jobTitle\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"dateOfHire\">Date of Hire</label>\r\n    <input id=\"dateOfHire\" formControlName=\"dateOfHire\" type=\"date\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"employeeStatus\">Employee Status</label>\r\n    <input id=\"employeeStatus\" formControlName=\"employeeStatus\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"salary\">Salary</label>\r\n    <input id=\"salary\" formControlName=\"salary\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"benefits\">Benefits</label>\r\n    <input id=\"benefits\" formControlName=\"benefits\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"performanceReviewDates\">Performance Review Dates</label>\r\n    <input id=\"performanceReviewDates\" formControlName=\"performanceReviewDates\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"trainingCompleted\">Training Completed</label>\r\n    <input id=\"trainingCompleted\" formControlName=\"trainingCompleted\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"managerName\">Manager Name</label>\r\n    <input id=\"managerName\" formControlName=\"managerName\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <button type=\"submit\" class=\"btn btn-primary mt-3\">Submit</button>\r\n  <button type=\"button\" class=\"btn btn-secondary mt-3\" (click)=\"onUpdate()\">Update</button>\r\n</form>\r\n", styles: [""], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EmployeeformComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-employeeform', standalone: true, imports: [CommonModule, ReactiveFormsModule, NgFor], template: "<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\" class=\"container mt-4\">\r\n  <div class=\"form-group\">\r\n    <label for=\"employeeId\">Employee ID</label>\r\n    <input id=\"employeeId\" formControlName=\"employeeId\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"firstName\">First Name</label>\r\n    <input id=\"firstName\" formControlName=\"firstName\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"lastName\">Last Name</label>\r\n    <input id=\"lastName\" formControlName=\"lastName\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"dateOfBirth\">Date of Birth</label>\r\n    <input id=\"dateOfBirth\" formControlName=\"dateOfBirth\" type=\"date\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"gender\">Gender</label>\r\n    <input id=\"gender\" formControlName=\"gender\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"maritalStatus\">Marital Status</label>\r\n    <input id=\"maritalStatus\" formControlName=\"maritalStatus\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"address\">Address</label>\r\n    <input id=\"address\" formControlName=\"address\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"phoneNumber\">Phone Number</label>\r\n    <input id=\"phoneNumber\" formControlName=\"phoneNumber\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"emailAddress\">Email Address</label>\r\n    <input id=\"emailAddress\" formControlName=\"emailAddress\" type=\"email\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"emergencyContactName\">Emergency Contact Name</label>\r\n    <input id=\"emergencyContactName\" formControlName=\"emergencyContactName\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"emergencyContactNumber\">Emergency Contact Number</label>\r\n    <input id=\"emergencyContactNumber\" formControlName=\"emergencyContactNumber\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"department\">Department</label>\r\n    <input id=\"department\" formControlName=\"department\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"jobTitle\">Job Title</label>\r\n    <input id=\"jobTitle\" formControlName=\"jobTitle\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"dateOfHire\">Date of Hire</label>\r\n    <input id=\"dateOfHire\" formControlName=\"dateOfHire\" type=\"date\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"employeeStatus\">Employee Status</label>\r\n    <input id=\"employeeStatus\" formControlName=\"employeeStatus\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"salary\">Salary</label>\r\n    <input id=\"salary\" formControlName=\"salary\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"benefits\">Benefits</label>\r\n    <input id=\"benefits\" formControlName=\"benefits\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"performanceReviewDates\">Performance Review Dates</label>\r\n    <input id=\"performanceReviewDates\" formControlName=\"performanceReviewDates\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"trainingCompleted\">Training Completed</label>\r\n    <input id=\"trainingCompleted\" formControlName=\"trainingCompleted\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <div class=\"form-group\">\r\n    <label for=\"managerName\">Manager Name</label>\r\n    <input id=\"managerName\" formControlName=\"managerName\" type=\"text\" class=\"form-control\">\r\n  </div>\r\n\r\n  <button type=\"submit\" class=\"btn btn-primary mt-3\">Submit</button>\r\n  <button type=\"button\" class=\"btn btn-secondary mt-3\" (click)=\"onUpdate()\">Update</button>\r\n</form>\r\n" }]
        }], ctorParameters: () => [{ type: i1.FormBuilder }] });

class DisplaydatesComponent {
    dates = [];
    ngOnInit() {
        this.displayDates();
    }
    displayDates() {
        const timezones = ['America/New_York', 'Europe/London', 'Asia/Tokyo'];
        timezones.forEach(tz => {
            this.dates.push({
                timezone: tz,
                formattedDate: moment$1().tz(tz).format('YYYY-MM-DD HH:mm:ss')
            });
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: DisplaydatesComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: DisplaydatesComponent, isStandalone: true, selector: "app-displaydates", ngImport: i0, template: "\r\n<table class=\"table table-striped table-bordered\">\r\n  <thead class=\"thead-dark\">\r\n    <tr>\r\n      <th scope=\"col\">Timezone</th>\r\n      <th scope=\"col\">Formatted Date</th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr *ngFor=\"let date of dates\">\r\n      <td>{{ date.timezone }}</td>\r\n      <td>{{ date.formattedDate }}</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n", styles: [""], dependencies: [{ kind: "directive", type: NgFor, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: DisplaydatesComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-displaydates', standalone: true, imports: [NgFor], template: "\r\n<table class=\"table table-striped table-bordered\">\r\n  <thead class=\"thead-dark\">\r\n    <tr>\r\n      <th scope=\"col\">Timezone</th>\r\n      <th scope=\"col\">Formatted Date</th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr *ngFor=\"let date of dates\">\r\n      <td>{{ date.timezone }}</td>\r\n      <td>{{ date.formattedDate }}</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n" }]
        }] });

class ComponentoneComponent {
    router;
    fb;
    largeText;
    employeeForm; // Add FormGroup
    constructor(router, fb) {
        this.router = router;
        this.fb = fb;
    } // Inject FormBuilder
    ngOnInit() {
        this.generateLargeText();
        this.initForm(); // Initialize form
    }
    generateLargeText() {
        this.largeText = loremIpsum({ count: 10000, units: 'paragraphs' });
    }
    navigateToComponentTwo() {
        this.router.navigate(['/componenttwo']);
    }
    initForm() {
        this.employeeForm = this.fb.group({
            name: ['', Validators.required],
            empId: ['', Validators.required],
            department: ['', Validators.required],
            joiningDate: ['', Validators.required],
            salary: ['', Validators.required],
            email: ['', [Validators.required, Validators.email]],
            phone: ['', Validators.required],
            address: ['', Validators.required],
            city: ['', Validators.required],
            state: ['', Validators.required],
            zip: ['', Validators.required]
        });
    }
    onSubmit() {
        if (this.employeeForm.valid) {
            console.log(this.employeeForm.value);
            // Add logic to save or update employee data
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentoneComponent, deps: [{ token: i2.Router }, { token: i1.FormBuilder }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: ComponentoneComponent, isStandalone: true, selector: "app-componentone", ngImport: i0, template: "<p>componentone works!</p>\r\n\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentTwo()\">Go to Component Two</button>\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input id=\"joiningDate\" formControlName=\"joiningDate\" type=\"date\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input id=\"salary\" formControlName=\"salary\" type=\"number\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input id=\"email\" formControlName=\"email\" type=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">Zip:</label>\r\n    <input id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>", styles: [""], dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: EmployeeformComponent, selector: "app-employeeform" }, { kind: "component", type: DisplaydatesComponent, selector: "app-displaydates" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentoneComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-componentone', standalone: true, imports: [ReactiveFormsModule, EmployeeformComponent, DisplaydatesComponent], template: "<p>componentone works!</p>\r\n\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentTwo()\">Go to Component Two</button>\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input id=\"joiningDate\" formControlName=\"joiningDate\" type=\"date\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input id=\"salary\" formControlName=\"salary\" type=\"number\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input id=\"email\" formControlName=\"email\" type=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">Zip:</label>\r\n    <input id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>" }]
        }], ctorParameters: () => [{ type: i2.Router }, { type: i1.FormBuilder }] });

class ComponenttwoComponent {
    fb;
    router;
    largeText;
    employeeForm;
    constructor(fb, router) {
        this.fb = fb;
        this.router = router;
    }
    ngOnInit() {
        this.generateLargeText();
        this.initForm();
    }
    generateLargeText() {
        this.largeText = loremIpsum({ count: 10000, units: 'paragraphs' });
    }
    initForm() {
        this.employeeForm = this.fb.group({
            name: ['', Validators.required],
            empId: ['', Validators.required],
            department: ['', Validators.required],
            joiningDate: ['', Validators.required],
            salary: ['', Validators.required],
            email: ['', [Validators.required, Validators.email]],
            phone: ['', Validators.required],
            address: ['', Validators.required],
            city: ['', Validators.required],
            state: ['', Validators.required],
            zip: ['', Validators.required]
        });
    }
    navigateToComponentThree() {
        this.router.navigate(['/componentthree']);
    }
    onSubmit() {
        if (this.employeeForm.valid) {
            console.log('Employee Data:', this.employeeForm.value);
            // Add your form submission logic here
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponenttwoComponent, deps: [{ token: i1.FormBuilder }, { token: i2.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: ComponenttwoComponent, isStandalone: true, selector: "app-componenttwo", ngImport: i0, template: "<p>componenttwo works!</p>\r\n\r\n<button  class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentThree()\">Go to Component Three</button>\r\n\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>", styles: [""], dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: EmployeeformComponent, selector: "app-employeeform" }, { kind: "component", type: DisplaydatesComponent, selector: "app-displaydates" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponenttwoComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-componenttwo', standalone: true, imports: [ReactiveFormsModule, EmployeeformComponent, DisplaydatesComponent], template: "<p>componenttwo works!</p>\r\n\r\n<button  class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentThree()\">Go to Component Three</button>\r\n\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>" }]
        }], ctorParameters: () => [{ type: i1.FormBuilder }, { type: i2.Router }] });

class ComponentthreeComponent {
    fb;
    router;
    largeText;
    employeeForm;
    constructor(fb, router) {
        this.fb = fb;
        this.router = router;
    }
    ngOnInit() {
        this.generateLargeText();
        this.initForm();
    }
    generateLargeText() {
        this.largeText = loremIpsum({ count: 10000, units: 'paragraphs' });
    }
    initForm() {
        this.employeeForm = this.fb.group({
            name: ['', Validators.required],
            empId: ['', Validators.required],
            department: ['', Validators.required],
            joiningDate: ['', Validators.required],
            salary: ['', Validators.required],
            email: ['', [Validators.required, Validators.email]],
            phone: ['', Validators.required],
            address: ['', Validators.required],
            city: ['', Validators.required],
            state: ['', Validators.required],
            zip: ['', Validators.required]
        });
    }
    navigateToComponentFour() {
        this.router.navigate(['/componentfour']);
    }
    onSubmit() {
        if (this.employeeForm.valid) {
            console.log('Employee Data:', this.employeeForm.value);
            // Add your form submission logic here
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentthreeComponent, deps: [{ token: i1.FormBuilder }, { token: i2.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: ComponentthreeComponent, isStandalone: true, selector: "app-componentthree", ngImport: i0, template: "<p>componentthree works!</p>\r\n\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentFour()\">Go to Component Four</button>\r\n\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: EmployeeformComponent, selector: "app-employeeform" }, { kind: "component", type: DisplaydatesComponent, selector: "app-displaydates" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentthreeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-componentthree', standalone: true, imports: [ReactiveFormsModule, EmployeeformComponent, DisplaydatesComponent], template: "<p>componentthree works!</p>\r\n\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentFour()\">Go to Component Four</button>\r\n\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n" }]
        }], ctorParameters: () => [{ type: i1.FormBuilder }, { type: i2.Router }] });

class ComponentfourComponent {
    fb;
    router;
    largeText;
    employeeForm;
    constructor(fb, router) {
        this.fb = fb;
        this.router = router;
    }
    ngOnInit() {
        this.generateLargeText();
        this.initForm();
    }
    generateLargeText() {
        this.largeText = loremIpsum({ count: 10000, units: 'paragraphs' });
    }
    initForm() {
        this.employeeForm = this.fb.group({
            name: ['', Validators.required],
            empId: ['', Validators.required],
            department: ['', Validators.required],
            joiningDate: ['', Validators.required],
            salary: ['', Validators.required],
            email: ['', [Validators.required, Validators.email]],
            phone: ['', Validators.required],
            address: ['', Validators.required],
            city: ['', Validators.required],
            state: ['', Validators.required],
            zip: ['', Validators.required]
        });
    }
    onSubmit() {
        if (this.employeeForm.valid) {
            console.log('Employee Data:', this.employeeForm.value);
            // Add your form submission logic here
        }
    }
    navigateToComponentFive() {
        this.router.navigate(['/componentfive']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentfourComponent, deps: [{ token: i1.FormBuilder }, { token: i2.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: ComponentfourComponent, isStandalone: true, selector: "app-componentfour", ngImport: i0, template: "<p>componentfour works!</p>\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentFive()\">Go to Component Five</button>\r\n\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: EmployeeformComponent, selector: "app-employeeform" }, { kind: "component", type: DisplaydatesComponent, selector: "app-displaydates" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentfourComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-componentfour', standalone: true, imports: [ComponentfourComponent, ReactiveFormsModule, EmployeeformComponent, DisplaydatesComponent], template: "<p>componentfour works!</p>\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentFive()\">Go to Component Five</button>\r\n\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n" }]
        }], ctorParameters: () => [{ type: i1.FormBuilder }, { type: i2.Router }] });

class ComponentfiveComponent {
    fb;
    router;
    largeText;
    employeeForm;
    constructor(fb, router) {
        this.fb = fb;
        this.router = router;
    }
    ngOnInit() {
        this.generateLargeText();
        this.initForm();
    }
    generateLargeText() {
        this.largeText = loremIpsum({ count: 10000, units: 'paragraphs' });
    }
    initForm() {
        this.employeeForm = this.fb.group({
            name: ['', Validators.required],
            empId: ['', Validators.required],
            department: ['', Validators.required],
            joiningDate: ['', Validators.required],
            salary: ['', Validators.required],
            email: ['', [Validators.required, Validators.email]],
            phone: ['', Validators.required],
            address: ['', Validators.required],
            city: ['', Validators.required],
            state: ['', Validators.required],
            zip: ['', Validators.required]
        });
    }
    onSubmit() {
        if (this.employeeForm.valid) {
            console.log('Employee Data:', this.employeeForm.value);
            // Add your form submission logic here
        }
    }
    navigateToComponentSix() {
        this.router.navigate(['/componentsix']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentfiveComponent, deps: [{ token: i1.FormBuilder }, { token: i2.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: ComponentfiveComponent, isStandalone: true, selector: "app-componentfive", ngImport: i0, template: "<p>componentfive works!</p>\r\n\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentSix()\">Go to Component Six</button>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentfiveComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-componentfive', standalone: true, imports: [ReactiveFormsModule, EmployeeformComponent, DisplaydatesComponent], template: "<p>componentfive works!</p>\r\n\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentSix()\">Go to Component Six</button>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n" }]
        }], ctorParameters: () => [{ type: i1.FormBuilder }, { type: i2.Router }] });

class ComponentsixComponent {
    fb;
    router;
    largeText;
    employeeForm;
    constructor(fb, router) {
        this.fb = fb;
        this.router = router;
    }
    ngOnInit() {
        this.generateLargeText();
        this.initForm();
    }
    generateLargeText() {
        this.largeText = loremIpsum({ count: 10000, units: 'paragraphs' });
    }
    initForm() {
        this.employeeForm = this.fb.group({
            name: ['', Validators.required],
            empId: ['', Validators.required],
            department: ['', Validators.required],
            joiningDate: ['', Validators.required],
            salary: ['', Validators.required],
            email: ['', [Validators.required, Validators.email]],
            phone: ['', Validators.required],
            address: ['', Validators.required],
            city: ['', Validators.required],
            state: ['', Validators.required],
            zip: ['', Validators.required]
        });
    }
    onSubmit() {
        if (this.employeeForm.valid) {
            console.log('Employee Data:', this.employeeForm.value);
            // Add your form submission logic here
        }
    }
    navigateToComponentSeven() {
        this.router.navigate(['/componentseven']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentsixComponent, deps: [{ token: i1.FormBuilder }, { token: i2.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: ComponentsixComponent, isStandalone: true, selector: "app-componentsix", ngImport: i0, template: "<p>componentsix works!</p>\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentSeven()\">Go to Component Seven</button>\r\n\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: EmployeeformComponent, selector: "app-employeeform" }, { kind: "component", type: DisplaydatesComponent, selector: "app-displaydates" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentsixComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-componentsix', standalone: true, imports: [ReactiveFormsModule, EmployeeformComponent, DisplaydatesComponent], template: "<p>componentsix works!</p>\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentSeven()\">Go to Component Seven</button>\r\n\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n" }]
        }], ctorParameters: () => [{ type: i1.FormBuilder }, { type: i2.Router }] });

class ComponentsevenComponent {
    fb;
    router;
    largeText;
    employeeForm;
    constructor(fb, router) {
        this.fb = fb;
        this.router = router;
    }
    ngOnInit() {
        this.generateLargeText();
        this.initForm();
    }
    generateLargeText() {
        this.largeText = loremIpsum({ count: 10000, units: 'paragraphs' });
    }
    initForm() {
        this.employeeForm = this.fb.group({
            name: ['', Validators.required],
            empId: ['', Validators.required],
            department: ['', Validators.required],
            joiningDate: ['', Validators.required],
            salary: ['', Validators.required],
            email: ['', [Validators.required, Validators.email]],
            phone: ['', Validators.required],
            address: ['', Validators.required],
            city: ['', Validators.required],
            state: ['', Validators.required],
            zip: ['', Validators.required]
        });
    }
    onSubmit() {
        if (this.employeeForm.valid) {
            console.log('Employee Data:', this.employeeForm.value);
            // Add your form submission logic here
        }
    }
    navigateToComponentThree() {
        this.router.navigate(['/componenteight']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentsevenComponent, deps: [{ token: i1.FormBuilder }, { token: i2.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: ComponentsevenComponent, isStandalone: true, selector: "app-componentseven", ngImport: i0, template: "<p>componentseven works!</p>\r\n\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentThree()\">Go to Component eight</button>\r\n\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n", styles: [""], dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: EmployeeformComponent, selector: "app-employeeform" }, { kind: "component", type: DisplaydatesComponent, selector: "app-displaydates" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentsevenComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-componentseven', standalone: true, imports: [ReactiveFormsModule, EmployeeformComponent, DisplaydatesComponent], template: "<p>componentseven works!</p>\r\n\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentThree()\">Go to Component eight</button>\r\n\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n" }]
        }], ctorParameters: () => [{ type: i1.FormBuilder }, { type: i2.Router }] });

class ComponenteightComponent {
    fb;
    router;
    employeeForm;
    largeText;
    constructor(fb, router) {
        this.fb = fb;
        this.router = router;
    }
    ngOnInit() {
        this.initForm();
        this.generateLargeText();
    }
    generateLargeText() {
        this.largeText = loremIpsum({ count: 10000, units: 'paragraphs' });
    }
    initForm() {
        this.employeeForm = this.fb.group({
            name: ['', Validators.required],
            empId: ['', Validators.required],
            department: ['', Validators.required],
            joiningDate: ['', Validators.required],
            salary: ['', Validators.required],
            email: ['', [Validators.required, Validators.email]],
            phone: ['', Validators.required],
            address: ['', Validators.required],
            city: ['', Validators.required],
            state: ['', Validators.required],
            zip: ['', Validators.required]
        });
    }
    navigateToComponentThree() {
        this.router.navigate(['/componentnine']);
    }
    onSubmit() {
        if (this.employeeForm.valid) {
            console.log('Employee Data:', this.employeeForm.value);
            // Add your form submission logic here
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponenteightComponent, deps: [{ token: i1.FormBuilder }, { token: i2.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: ComponenteightComponent, isStandalone: true, selector: "app-componenteight", ngImport: i0, template: "<p>componenteight works!</p>\r\n\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentThree()\">Go to Component Nine</button>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponenteightComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-componenteight', standalone: true, imports: [ReactiveFormsModule], template: "<p>componenteight works!</p>\r\n\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentThree()\">Go to Component Nine</button>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n  <div>\r\n    <label for=\"name\">Name:</label>\r\n    <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n  </div>\r\n  <div>\r\n    <label for=\"empId\">Employee ID:</label>\r\n    <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n  </div>\r\n  <div>\r\n    <label for=\"department\">Department:</label>\r\n    <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n  </div>\r\n  <div>\r\n    <label for=\"joiningDate\">Joining Date:</label>\r\n    <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n  </div>\r\n  <div>\r\n    <label for=\"salary\">Salary:</label>\r\n    <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n  </div>\r\n  <div>\r\n    <label for=\"email\">Email:</label>\r\n    <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n  </div>\r\n  <div>\r\n    <label for=\"phone\">Phone:</label>\r\n    <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n  </div>\r\n  <div>\r\n    <label for=\"address\">Address:</label>\r\n    <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n  </div>\r\n  <div>\r\n    <label for=\"city\">City:</label>\r\n    <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n  </div>\r\n  <div>\r\n    <label for=\"state\">State:</label>\r\n    <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n  </div>\r\n  <div>\r\n    <label for=\"zip\">ZIP Code:</label>\r\n    <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n  </div>\r\n  <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n  <h2>Large Lorem Ipsum Content</h2>\r\n  <p>{{ largeText }}</p>\r\n</div>\r\n" }]
        }], ctorParameters: () => [{ type: i1.FormBuilder }, { type: i2.Router }] });

class ComponentnineComponent {
    fb;
    router;
    employeeForm;
    largeText;
    constructor(fb, router) {
        this.fb = fb;
        this.router = router;
    }
    ngOnInit() {
        this.generateLargeText();
        this.initForm();
    }
    initForm() {
        this.employeeForm = this.fb.group({
            name: ['', Validators.required],
            empId: ['', Validators.required],
            joiningDate: ['', Validators.required],
            salary: ['', Validators.required],
            email: ['', [Validators.required, Validators.email]],
            phone: ['', Validators.required],
            address: ['', Validators.required],
            city: ['', Validators.required],
            state: ['', Validators.required],
            zip: ['', Validators.required]
        });
    }
    navigateToComponentTen() {
        this.router.navigate(['/componentten']);
    }
    generateLargeText() {
        this.largeText = loremIpsum({ count: 10000, units: 'paragraphs' });
    }
    onSubmit() {
        if (this.employeeForm.valid) {
            console.log('Employee Data:', this.employeeForm.value);
            // Add your form submission logic here
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentnineComponent, deps: [{ token: i1.FormBuilder }, { token: i2.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: ComponentnineComponent, isStandalone: true, selector: "app-componentnine", ngImport: i0, template: "<p>componentnine works!</p>\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentTen()\">Go to Component Ten</button>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n    <div>\r\n        <label for=\"name\">Name:</label>\r\n        <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n    </div>\r\n    <div>\r\n        <label for=\"empId\">Employee ID:</label>\r\n        <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n    </div>\r\n    <div>\r\n        <label for=\"department\">Department:</label>\r\n        <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n    </div>\r\n    <div>\r\n        <label for=\"joiningDate\">Joining Date:</label>\r\n        <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n    </div>\r\n    <div>\r\n        <label for=\"salary\">Salary:</label>\r\n        <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n    </div>\r\n    <div>\r\n        <label for=\"email\">Email:</label>\r\n        <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n    </div>\r\n    <div>\r\n        <label for=\"phone\">Phone:</label>\r\n        <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n    </div>\r\n    <div>\r\n        <label for=\"address\">Address:</label>\r\n        <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n    </div>\r\n    <div>\r\n        <label for=\"city\">City:</label>\r\n        <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n    </div>\r\n    <div>\r\n        <label for=\"state\">State:</label>\r\n        <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n    </div>\r\n    <div>\r\n        <label for=\"zip\">ZIP Code:</label>\r\n        <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n    </div>\r\n    <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n    <h2>Large Lorem Ipsum Content</h2>\r\n    <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n    <h2>Large Lorem Ipsum Content</h2>\r\n    <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n    <h2>Large Lorem Ipsum Content</h2>\r\n    <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n    <h2>Images</h2>\r\n    <img src=\"assets/image1.jpg\" alt=\"Image 1\" width=\"600\" height=\"600\">\r\n    <img src=\"assets/image2.jpg\" alt=\"Image 2\" width=\"600\" height=\"600\">\r\n    <img src=\"assets/image3.jpg\" alt=\"Image 3\" width=\"600\" height=\"600\">\r\n</div>", styles: [""], dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentnineComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-componentnine', standalone: true, imports: [ReactiveFormsModule, EmployeeformComponent, DisplaydatesComponent], template: "<p>componentnine works!</p>\r\n<button class=\"btn btn-primary btn-lg\" (click)=\"navigateToComponentTen()\">Go to Component Ten</button>\r\n\r\n<form [formGroup]=\"employeeForm\" (ngSubmit)=\"onSubmit()\">\r\n    <div>\r\n        <label for=\"name\">Name:</label>\r\n        <input type=\"text\" id=\"name\" formControlName=\"name\">\r\n    </div>\r\n    <div>\r\n        <label for=\"empId\">Employee ID:</label>\r\n        <input type=\"text\" id=\"empId\" formControlName=\"empId\">\r\n    </div>\r\n    <div>\r\n        <label for=\"department\">Department:</label>\r\n        <input type=\"text\" id=\"department\" formControlName=\"department\">\r\n    </div>\r\n    <div>\r\n        <label for=\"joiningDate\">Joining Date:</label>\r\n        <input type=\"date\" id=\"joiningDate\" formControlName=\"joiningDate\">\r\n    </div>\r\n    <div>\r\n        <label for=\"salary\">Salary:</label>\r\n        <input type=\"number\" id=\"salary\" formControlName=\"salary\">\r\n    </div>\r\n    <div>\r\n        <label for=\"email\">Email:</label>\r\n        <input type=\"email\" id=\"email\" formControlName=\"email\">\r\n    </div>\r\n    <div>\r\n        <label for=\"phone\">Phone:</label>\r\n        <input type=\"tel\" id=\"phone\" formControlName=\"phone\">\r\n    </div>\r\n    <div>\r\n        <label for=\"address\">Address:</label>\r\n        <input type=\"text\" id=\"address\" formControlName=\"address\">\r\n    </div>\r\n    <div>\r\n        <label for=\"city\">City:</label>\r\n        <input type=\"text\" id=\"city\" formControlName=\"city\">\r\n    </div>\r\n    <div>\r\n        <label for=\"state\">State:</label>\r\n        <input type=\"text\" id=\"state\" formControlName=\"state\">\r\n    </div>\r\n    <div>\r\n        <label for=\"zip\">ZIP Code:</label>\r\n        <input type=\"text\" id=\"zip\" formControlName=\"zip\">\r\n    </div>\r\n    <button type=\"submit\">Submit</button>\r\n</form>\r\n\r\n<div>\r\n    <h2>Large Lorem Ipsum Content</h2>\r\n    <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n    <h2>Large Lorem Ipsum Content</h2>\r\n    <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n    <h2>Large Lorem Ipsum Content</h2>\r\n    <p>{{ largeText }}</p>\r\n</div>\r\n\r\n<div>\r\n    <h2>Images</h2>\r\n    <img src=\"assets/image1.jpg\" alt=\"Image 1\" width=\"600\" height=\"600\">\r\n    <img src=\"assets/image2.jpg\" alt=\"Image 2\" width=\"600\" height=\"600\">\r\n    <img src=\"assets/image3.jpg\" alt=\"Image 3\" width=\"600\" height=\"600\">\r\n</div>" }]
        }], ctorParameters: () => [{ type: i1.FormBuilder }, { type: i2.Router }] });

class ComponenttenComponent {
    http;
    largeText;
    randomData;
    currentTime;
    constructor(http) {
        this.http = http;
    }
    ngOnInit() {
        this.generateLargeText();
        this.fetchRandomData();
        this.getCurrentTime();
    }
    generateLargeText() {
        this.largeText = loremIpsum({ count: 10000, units: 'paragraphs' });
    }
    fetchRandomData() {
        this.http.get('https://jsonplaceholder.typicode.com/posts')
            .subscribe((response) => {
            this.randomData = _.sample(response);
        });
    }
    getCurrentTime() {
        this.currentTime = moment$2().format('YYYY-MM-DD HH:mm:ss');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponenttenComponent, deps: [{ token: i1$1.HttpClient }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: ComponenttenComponent, isStandalone: true, selector: "app-componentten", providers: [JsonPipe], ngImport: i0, template: "<p>componentten works!</p>\r\n\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n<p>Random Data: {{ randomData | json }}</p>\r\n<p>Current Time: {{ currentTime }}</p>\r\n\r\n<p>{{ largeText }}</p>\r\n\r\n", styles: [""], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "pipe", type: i2$1.JsonPipe, name: "json" }, { kind: "ngmodule", type: HttpClientModule }, { kind: "component", type: EmployeeformComponent, selector: "app-employeeform" }, { kind: "component", type: DisplaydatesComponent, selector: "app-displaydates" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponenttenComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-componentten', standalone: true, imports: [CommonModule, HttpClientModule, EmployeeformComponent, DisplaydatesComponent], providers: [JsonPipe], template: "<p>componentten works!</p>\r\n\r\n<app-displaydates></app-displaydates>\r\n\r\n<app-employeeform></app-employeeform>\r\n\r\n<p>Random Data: {{ randomData | json }}</p>\r\n<p>Current Time: {{ currentTime }}</p>\r\n\r\n<p>{{ largeText }}</p>\r\n\r\n" }]
        }], ctorParameters: () => [{ type: i1$1.HttpClient }] });

/* eslint-disable simple-import-sort/exports */
/*
 * Public API Surface of core
 */

/**
 * Generated bundle index. Do not edit.
 */

export { ComponenteightComponent, ComponentfiveComponent, ComponentfourComponent, ComponentnineComponent, ComponentoneComponent, ComponentsevenComponent, ComponentsixComponent, ComponenttenComponent, ComponentthreeComponent, ComponenttwoComponent, ContentComponent, FooterComponent, HeaderComponent };
//# sourceMappingURL=projectcoremodules_version_two.mjs.map
